function jnb6
%project "noteZcore" [code by Jan Ph. Hakenberg]
global N S X eX E P M G Th smh F

N=struct(...
'sd','C:\eigene~1\matlab\notes\',...
'sf',44100,...
'sk','G',...        %key
'sm',[4 4;1 4;1 4;1 8],... %measure;dominant;pretone;smallest
'sn','b6',...       %name
'st',[0 Inf],...    %time sequence [in seconds]
'sp',0,...          %play sound: 0|1
'sv',[1 1 1 1 1],...    %view windows of analysis: 0|1
'le','pf1',...      %scale energy []|pf1|smo
'll',1,...          %load lib 0|1
'ln','p1',...       %libname
'lo',6,...          %obertone
'lw',8000,...       %width
'ly',100,...        %layer begin
'eb',[45:88],...    %event band
'ef',38*[0 17.0788  16.6369 13.3921 11.1256 10.0223  9.5534  8.6065  7.3037  6.3143  ],...
'mm',[1],...        %<smallest measure> multiples
'mp',1,...          %initial pitch
'mu',[],...         %ticks of smallest unit
'ab',22:63,...      %key band (must be connected)
'af','id',...       %frequencies id|lo|hi|vector [Hz]
'ag',[1 12],...     %frequencies min:(1):max+(2)
'al',1,...          %logarithmic shift
'am',3,...          %take max am of estimation
'an',1,...          %norm: 0 filter|1|2(|Inf not yet!)
'ao',40,...         %filter with tone
'ap',[],...         %estimation filter
'as',12E-2,...      %noteZ threshold
'at',10E-2,...      %event threshold
'aw',2000); tic;    %tic length

jnload;
jnevent;
jnmeasur;
jnestim;
jnlysis
jnguido;

fprintf('\ntime elaps: %3.1f sec\n[press any key to close windows]\n',toc);
pause; for c1=find(N.sv); try; close(c1); end; end;