function jnestim;
%project "noteZcore" [code by Jan Hakenberg]
global N S X E Th F

lb=length(N.ab); lE=size(E,2); lf=length(N.af); ab=N.ab(1):N.ab(end)+N.ag(2);
sE=cumsum([0 E(3,1:end-1)]); nB=sum(E(3,:));

%estimation
fprintf('%s\n',char(repmat(95,1,lE)));
S=[S;zeros(max(E(3,:))*N.lw,1)];

t=(i*2*pi)*linspace(0,(N.lw-1)/N.sf,N.lw);
Fm=exp(N.af'*t); F=zeros(lf,nB);
for c1=1:lE;
 F(:,sE(c1)+(1:E(3,c1)))=abs(Fm*reshape(S(round(max(.01,mean(E(1:2,c1))-1.5)*N.aw)+(1:E(3,c1)*N.lw)),N.lw,E(3,c1)));
 fprintf('.');
end;
clear Fm;

T=conv2(N.ap,flipud(F));
T=T(find(N.ab==N.ao)-3+(1:lf),:);
T=T.*(T>0);

sT=zeros(lf,lE);
for c1=1:lE; sT(:,c1)=sum(T(:,sE(c1)+(1:E(3,c1))),2); end;
Th=cell(lE,1);
for c1=1:lE; Th{c1}=find(sT(:,c1)>N.as)'; end;

if N.sv(3);
 figure(3); clf reset; Rh=.05;
 set(3,'Name',['filtered spectrum of ' N.sn]); set(3,'Color',[1 1 1]);
 set(3,'Position',[0 32 1019 lf*7]);
 subplot('position',[0,0,Rh,1]);
  K=imread([N.sd 'keyboard'],'bmp');
  I=(124-ab)*7;
  h=imshow(0,0,K(I(end)+1:I(1)+7,:));
 subplot('position',[Rh,0,1-Rh,1]);
 imagesc(-T); axis off; hold on;
 plot(0,0); ax=axis;
 for c1=find(mod(ab,12)==3); plot(ax([1 2]),ax(4)-[c1 c1],'k:'); end; %c bars
 for c1=sE; plot([c1 c1]+.5,ax([3 4]),'k:'); end;
 for c1=1:lE; plot(sE(c1)+.5-N.as+sT(:,c1),[1:lf]','b'); end;
 for c1=1:lE; plot(repmat(sE(c1)+1,1,length(Th{c1})),Th{c1},'go'); end;
end;

if 0;
 figure(6); clf reset; Rh=.05;
 set(6,'Name',['spectrum of ' N.sn]); set(6,'Color',[1 1 1]);
 set(6,'Position',[0 32 1019 lf*7]);
 subplot('position',[0,0,Rh,1]);
  K=imread([N.sd 'keyboard'],'bmp');
  I=(124-ab)*7;
  h=imshow(0,0,K(I(end)+1:I(1)+7,:));
 subplot('position',[Rh,0,1-Rh,1]);
 imagesc(-flipud(F)); axis off; hold on;
 plot(0,0); ax=axis;
 for c1=find(mod(ab,12)==3); plot(ax([1 2]),ax(4)-[c1 c1],'k:'); end; %c bars
 for c1=sE; plot([c1 c1]+.5,ax([3 4]),'k:'); end;
end;

for c1=1:lE; Th{c1}=lf-Th{c1}+1; end;