function jnevent2;
%project "noteZcore" [code by Jan Hakenberg]
global N S E smh

ep=find(N.ef); ep=ep(1);
y=zeros(1,length(N.ef));
y(ep+[-1 0 1])=[-.1 1 -.1];
sf=fliplr(real(xfilter(N.ef,y)));
if N.sv(1); subplot(2,3,2); plot(N.ef); axis off; end;

lS=length(S); nB=floor(lS/N.aw);
Sb=reshape(S(1:nB*N.aw),[N.aw nB]);
Sa=max(Sb)-min(Sb);
Sf=flipud(abs(diff(abs(xspectrum(Sb,27.5*2.^(N.eb/12),N.sf)))));
%Sf(23,1:20)
Sc=conv2(sf,Sf); Sc=Sc(:,1:nB);
sS=sum(Sc);

E=[];
fE=[0 sS(1:end-1)>.1 0];
dE=diff(fE);
for c1=[find(dE==1);find(dE==-1)];
 [mc,mi]=max(sS(c1(1):c1(2)));
 E=[E c1(1)+mi-1];
end;
E(find(E>nB))=[];

if N.sv(2);
 figure(2); clf reset;
 set(2,'Name','Events');
 set(2,'Position',[12 32 840 487]);
 set(2,'Color',[1 1 1]);
 sph=subplot('position',[.05,.75,.95,.25]);
  hnd=plot(Sa,'b'); hold on; axis off;
 subplot('position',[.05,.5,.95,.25]);
  imagesc(Sf); grid off; ax=axis;
 subplot('position',[.05,.25,.95,.25]);
  imagesc(Sc); grid off;
 smh=subplot('position',[.05,0,.95,.25]);
  plot(ax(1:2),[0 0],'k:'); hold on;
  hnd=plot(sS,'b'); axis([ax(1:2) min(sS) max(sS)]);
  plot(ax(1:2),[N.at N.at],'g');
 subplot(sph); plot(E,Sa(E),'g*'); axis([ax(1:2) 0 1.5])
 %figure(6); clf reset; mesh(Sf)
end;

if length(E)<=1; error('No two events!'); return; end;