function jnguido
 global N G P

 nc={'g#','a','a#','b','c','c#','d','d#','e','f','f#','g'};
 nh=floor(((1:88)-28)/12);
 nd=xquot(N.sm([2 4],3));
 nt=round(N.sf*60/N.mu/N.aw/nd); %dominant duration per minute
 sP=size(P,1);
 %fid=fopen([N.sd 'guido\' N.sn '.gmn'],'w');
 fid=fopen([N.sd 'guido\export.gmn'],'w');
 fprintf(fid,'%%NoteZcore\n%%by Jan Hakenberg\n%%Output: %s\n{\n',date);
 gmn={'Off','Auto','Up','Down'};
 fprintf(fid,'[\\pageFormat<w=21cm,h=31cm,lm=1cm,tm=1cm,bm=1.2cm,rm=1cm>\\barFormat<style="system">\n');
 fprintf(fid,' \\staff<1>\\clef<"treble">\\key<"%s">\\meter<"%i/%i">],\n',N.sk,N.sm(1,1:2));
 fprintf(fid,'[\\staff<2>\\clef<"bass">  \\key<"%s">\\meter<"%i/%i">]'   ,N.sk,N.sm(1,1:2));
 for c1=1:size(G,1);
  if isempty(G{c1}); break; end;
  fprintf(fid,',\n[\\staff<1> \\tempo<"tempo","%s=%i"> %%%i\n',jidure(nd),nt,c1);
  tc=0;
  for c2=1:size(G{c1},2);
   if tc~=G{c1}(1,c2); fprintf(fid,'empty*%s\n',jidure(G{c1}(1,c2)-tc)); end;
   fprintf(fid,'\\staff<%i>\\stems%s ',G{c1}(2,c2),gmn{G{c1}(3,c2)});
   fprintf(fid,'%s\n',[nc{mod(G{c1}(4,c2),12)+1} num2str(nh(G{c1}(4,c2))) '*' jidure(G{c1}(5,c2))]);
   tc=G{c1}(1,c2)+G{c1}(5,c2);
  end;
  fprintf(fid,']\n');
 end;
 fprintf(fid,'}\n%%End of NoteZcare');
 fclose(fid);

function s=jidure(de);
 global N
 s=[num2str(N.sm(4,1)*de) '/' num2str(N.sm(4,2))];