function jnlysis;
%project "noteZcore" [code by Jan Hakenberg]
global N S X eX E M G Th F

lb=length(N.ab); lE=size(E,2); lf=length(N.af); ab=N.ab(1):N.ab(end)+N.ag(2);
sE=cumsum([0 E(3,1:end-1)]); nB=sum(E(3,:));

%recomputation

M=zeros(lb,nB); cnt=0;
fprintf('\n%s\n',char(repmat(95,1,nB)));
for c1=1:lE;
 rn=intersect(Th{c1},1:lb);
 [rX,rY]=meshgrid(N.lo,rn);
 rf=intersect(reshape(rX+rY,1,prod(size(rX))),1:length(N.af));
 for c2=1:E(3,c1);
  cnt=cnt+1;
  M(rn,cnt)=jnchord(X(rf,rn),F(rf,cnt));
 end;
end;
sM=zeros(lb,lE);
for c1=1:lE; sM(:,c1)=sum(M(:,sE(c1)+(1:E(3,c1))),2); end;

nv=10; G=cell(nv,1); no=zeros(1,nv);
for c1=1:lE;
 nf=N.ab(find(sM(:,c1)>N.as));
 np=find(no);
 [na,ni,nj]=intersect(nf,no(np));
 nj=np(nj);
 no(setdiff(1:nv,nj))=0;
 for c2=nj;    %old notes
  G{c2}(5,end)=G{c2}(5,end)+E(5,c1);
 end;
 nn=nf; nn(ni)=[];
 for c2=nn;    %new notes
  f=find(~no); %[adress staff stems hight duration]
  if isempty(f); error('voice overflow'); end;
  f=f(1); no(f)=c2;
  G{f}=[G{f} [E(4,c1);(c2<40)+1;1;c2;E(5,c1)]];
 end;
end;

%G{1}
%G{2}
%G{3}
%G{4}


%fprintf('\nnotes: %i',nc)

if N.sv(4);
 figure(4); clf reset; Rh=.05;
 set(4,'Name',['notes' N.sn]); set(4,'Color',[1 1 1]);
 set(4,'Position',[0 32 1019 lb*7]);
 subplot('position',[0,0,Rh,1]);
  K=imread([N.sd 'keyboard'],'bmp');
  I=(124-N.ab)*7;
  h=imshow(0,0,K(I(end)+1:I(1)+7,:));
 subplot('position',[Rh,0,1-Rh,1]);
 imagesc(-flipud(M)); axis off; hold on;
 plot(0,0); ax=axis;
 for c1=find(mod(ab,12)==3); plot(ax([1 2]),ax(4)-[c1 c1],'k:'); end;
 for c1=sE; plot([c1 c1]+.5,ax([3 4]),'k:'); end;
 for c1=1:lE; plot(sE(c1)+.5-N.as+sM(end:-1:1,c1),[1:lb]','b'); end;
 %for c1=1:lE; plot(repmat(sE(c1)+1,1,length(Th{c1})),Th{c1},'go'); end;
end;