function jnmeasur;
%project "noteZcore" [code by Jan Hakenberg]
global N S E M smh

N.sm=[N.sm xquot(N.sm)];

[u,U]=xunique(diff(E));
[mu,mi]=max(U);          %wrong estimator

ds=xquot(N.sm([2 4],3)); %ration dominant to smallest
N.mu=u(mi)/ds;           %smallest unit length
tol=max(1.9,ceil(N.mu*min(gcd(N.mm,6))*1/3));
mn=xquot(N.sm([1 4],3));          %smallest per measure

mE=[]; mc=0; ms=[]; ec=0;
for c1=1:length(N.mm);
 ms=[ms 0:N.mm(c1):mn-.1];
end; ms=unique(ms);

if N.sm(3,1); mt=E(1)+(xquot(N.sm([3 4],3))-mn)*N.mu; else; mt=E(1); end;
while mt<=E(end);
 tE=[];
 for c1=1:length(ms);
  f=find(abs(mt+N.mp(end)*ms(c1)*N.mu-E)<tol);
  %if length(f)>1; fprintf('waring: ');disp(f); end;
  if ~isempty(f);
   tE=[tE [E(f(1));mt+N.mp(end)*ms(c1)*N.mu;0;mc+ms(c1);0]];
  end;
  %case tE==[] !!!
 end;
 if size(tE,2)<2;
  N.mp=N.mp([1:end end]);
  else;
  c=jpolyfit(tE(4,:)-mc,(tE(1,:)-mt)/N.mu,1,2);
  N.mp=[N.mp (N.mp(end)+c(1))/2];
 end;
 mE=[mE tE];
 f=find(abs(mt+mn*N.mu-E)<tol);
 if isempty(f); mt=mt+N.mu*mn; else; mt=E(f(1)); end;
 mc=mc+mn;
end;
fprintf('tol: %4.2f - lost: %i\n',tol,length(E)-length(mE));
E=mE;

E(3,:)=max(floor([diff(E(1,:)) N.mu*ds]*(N.aw/N.lw)),1);
E(5,:)=[diff(E(4,:)) ds]; % E=pitched found lBlock measure_pos measure_dura

if N.sv(1);
 figure(1);
 subplot(2,3,3);
 bar(u,U); hold on;
 subplot(4,1,3); plot(1:length(N.mp),N.mp); drawnow;
 %xlabel('pitch')
 if N.sv(2);
  figure(2);
  subplot(smh);
  hn1=plot(E(1,:),repmat(0,1,length(E(1,:))),'r+');
  hn2=plot(E(2,:),repmat(-.05,1,length(E(1,:))),'k+');
  legend([hn1 hn2],'found','pitched'); drawnow;
 end;
end;