function Sa=jnotes
%project "noteZcore" [code by Jan Ph. Hakenberg]
global N S X eX E P M G cost smh

N=struct(...
'sd','C:\eigene~1\matlab\notes\',...
'sf',44100,...
'sk','G',...        %key
'sm',[4 4;1 4;1 4;1 8],... %measure;dominant;pretone;smallest
'sn','b1',...       %name
'st',[0 Inf],...    %time sequence [in seconds]
'sp',0,...          %play sound: 0|1
'sv',[1 1 1],...    %view windows of analysis: 0|1
'le','pf1',...      %scale energy []|pf1|smo
'lf',3,...          %load filter 1attck|2smooth
'll',1,...          %load lib 0|1
'ln','p1',...       %libname
'lo',6,...          %obertone
'lw',3700,...       %width
'ly',100,...        %layer begin
'mm',[1],...        %<smallest measure> multiples
'mp',1,...          %initial pitch
'mu',[],...         %ticks of smallest unit
'ab',20:75,...      %key band (must be connected)
'af','id',...       %frequencies id|lo|hi|vector [Hz]
'ag',[1 12],...     %frequencies min:(1):max+(2)
'al',1,...          %logarithmic shift
'an',0,...          %norm: 0 filter|1|2(|Inf not yet!)
'ao',40,...         %filter with tone
'ap',[],...         %filter
'as',05E-2,...      %noteZ threshold
'at',10E-2,...      %event threshold
'aw',2000); tic;    %tic lengthjnbv1_1

%jflysis(6,{'p1*30','k','x_d','b'}); return;
%jflysis(6,{'p1*35','k','x_g','b'}); return;
%jflysis(6,{'p1*23','k','p1*47','r','x_gg','b'}); return;
%jflysis(6,{'p1*32','k','p1*39','k','p1*47','k','x_ehg','b'}); return;

jnload;
jnevent;
jnmeasur;
jnlysis;
%jnguido;

fprintf('\ntime elaps: %3.1f sec\n',toc);