function jnb1
%project "noteZcore" [code by Jan Ph. Hakenberg]
global N S X eX E P M G Th smh F

N=struct(...
'sd','C:\eigene~1\matlab\notes\',...
'sf',44100,...
'sk','G',...        %key
'sm',[6 8;1 8;3 8;1 8],... %measure;dominant;pretone;smallest
'sn','b7',...       %name
'st',[0 Inf],...    %time sequence [in seconds]
'sp',0,...          %play sound: 0|1
'sv',[1 1 1 1 1],...%view windows of analysis: 0|1
'le','pf1',...      %scale energy []|pf1|smo
'll',1,...          %load lib 0|1
'ln','pt',...       %libname
'lo',6,...          %obertone
'lw',8000,...       %width
'ly',100,...        %layer begin
'eb',[45:88],...    %event band
'ef',5*[0 36.2460 37.3650 36.4484 33.0321 29.4477 27.3622 24.4332 23.2055 22.5541 11.7795 7.9995],...
'mm',[1],...        %<smallest measure> multiples
'mp',1,...          %initial pitch
'mu',[],...         %ticks of smallest unit
'ab',20:63,...      %key band (must be connected)
'af','id',...       %frequencies id|lo|hi|vector [Hz]
'ag',[1 12],...     %frequencies min:(1):max+(2)
'al',1,...          %logarithmic shift
'am',3,...          %take max am of estimation
'an',2,...          %norm: 0 filter|1|2(|Inf not yet!)
'ao',40,...         %filter with tone
'ap',[],...         %estimation filter
'as',03E-2,...      %noteZ threshold
'at',10E-2,...      %event threshold
'aw',1000); tic;    %tic length

jnload;
jnevent;
jnmeasur;
jnestim;
jnlysis
jnguido;

fprintf('\ntime elaps: %3.1f sec\n[press any key to close windows]\n',toc);
pause; for c1=find(N.sv); try; close(c1); end; end;